QB_MAP_NOTIFY_ADD(3)

NAME
qb_map_notify_add - Add a notifier to the map.

SYNOPSIS
#include <qb/qbmap.h>

int32_t qb_map_notify_add(
    qb_map_t         *m,          /* the map instance */
    /*
     * the key (or prefix) to attach the notification to.
     */
    const char       *key,
    qb_map_notify_fn  fn,         /* the callback */
    int32_t           events,     /* the type of events to register for. */
    void             *user_data   /* a pointer to be passed into the callback*/
);

PARAMS
m the map instance

key the key (or prefix) to attach the notification to.

fn the callback

events the type of events to register for.

user_data a pointer to be passed into the callback

DESCRIPTION

RETURN VALUE

0 success

-errno failure

NOTE

you can use key prefixes with trie maps.

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_notify_del(3), qb_map_put(3), qb_map_count_get(3), qb_map_foreach(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_get(3), qb_map_destroy(3), qb_hashtable_create(3), qb_map_iter_free(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.